summaryrefslogtreecommitdiff
path: root/dev-python/linecache2
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/linecache2
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/linecache2')
-rw-r--r--dev-python/linecache2/Manifest1
-rw-r--r--dev-python/linecache2/linecache2-1.0.0.ebuild29
-rw-r--r--dev-python/linecache2/metadata.xml13
3 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/linecache2/Manifest b/dev-python/linecache2/Manifest
new file mode 100644
index 000000000000..9b19afc7f799
--- /dev/null
+++ b/dev-python/linecache2/Manifest
@@ -0,0 +1 @@
+DIST linecache2-1.0.0.tar.gz 11013 BLAKE2B 5f9b125819d9c812d37f1c14ef9ab52f2d5787c83a3d0d891a4def65f17aea26d903b269a610b7247927f72c1594b434ce9274c5358b29799e4ca5b426b37836 SHA512 e585a6e4c054c1965bc4241a1e36b57cb04f32b2d778df0ae4381975700497975251f509354d3622e36c82973c726a207b815f8b12060d9d583b6669a9eb279e
diff --git a/dev-python/linecache2/linecache2-1.0.0.ebuild b/dev-python/linecache2/linecache2-1.0.0.ebuild
new file mode 100644
index 000000000000..0f3e5e0bdcd4
--- /dev/null
+++ b/dev-python/linecache2/linecache2-1.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Backports of the linecache module"
+HOMEPAGE="https://github.com/testing-cabal/linecache2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${PYTHON}" -m unittest2 discover || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/linecache2/metadata.xml b/dev-python/linecache2/metadata.xml
new file mode 100644
index 000000000000..075803f05c07
--- /dev/null
+++ b/dev-python/linecache2/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">linecache2</remote-id>
+ <remote-id type="github">testing-cabal/linecache2</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>